# DataExchange
TKSTEPBase
StepShape

# StepShape_DimensionalCharacteristic Class Reference

Representation of STEP SELECT type DimensionalCharacteristic
.

`#include <StepShape_DimensionalCharacteristic.hxx>`

Inheritance diagram for StepShape_DimensionalCharacteristic:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_DimensionalCharacteristic ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of DimensionalCharacteristic select type 1 -> DimensionalLocation from StepShape 2 -> DimensionalSize from StepShape 0 else .
Standard_EXPORT Handle_StepShape_DimensionalLocation | DimensionalLocation () const
| Returns Value as DimensionalLocation (or Null if another type) .
Standard_EXPORT Handle_StepShape_DimensionalSize | DimensionalSize () const
| Returns Value as DimensionalSize (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_DimensionalCharacteristic::StepShape_DimensionalCharacteristic | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepShape_DimensionalCharacteristic::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepShape_DimensionalLocation StepShape_DimensionalCharacteristic::DimensionalLocation | ( |  | ) | const

Standard_EXPORT Handle_StepShape_DimensionalSize StepShape_DimensionalCharacteristic::DimensionalSize | ( |  | ) | const

void StepShape_DimensionalCharacteristic::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_DimensionalCharacteristic::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_DimensionalCharacteristic::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

The documentation for this class was generated from the following file:

- StepShape_DimensionalCharacteristic.hxx